%global packname  smoots
%global packver   1.0.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0.1
Release:          2%{?dist}
Summary:          Nonparametric Estimation of the Trend and Its Derivatives in TS

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 2.10
Requires:         R-core >= 2.10
BuildArch:        noarch
BuildRequires:    R-stats 
BuildRequires:    R-graphics 
Requires:         R-stats 
Requires:         R-graphics 

%description
The nonparametric trend and its derivatives in equidistant time series
(TS) with short-memory stationary errors can be estimated. The estimation
is conducted via local polynomial regression using an automatically
selected bandwidth obtained by a built-in iterative plug-in algorithm or a
bandwidth fixed by the user. A Nadaraya-Watson kernel smoother is also
built-in as a comparison. The methods of the package are described in
Feng, Y., and Gries, T., (2017)
<http://groups.uni-paderborn.de/wp-wiwi/RePEc/pdf/ciepap/WP102.pdf>. A
current version of the paper that is also referred to in the documentation
of the functions is prepared for publication.

%prep
%setup -q -c -n %{packname}


%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}

test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/data
%{rlibdir}/%{packname}/DESCRIPTION
%{rlibdir}/%{packname}/NAMESPACE
%doc %{rlibdir}/%{packname}/NEWS.md
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/INDEX
